#include "mymat.h"
#include "myEigen.h"
#include "RNP2to191.h"

using namespace System;
using namespace System::IO;
using namespace myLib; 
using namespace rnp2to191;

namespace cmmn {


	extern int n_comp, NCatVar;
	extern int * nCatPerVar;
	extern int NCases, MNVar;
	extern int ** X;
	extern double *** G, *** W, ** Lambda, *** Gw, ** Z, ** C, ** S;
	extern int * nweight;
	extern int ck_rank;

	extern int NGrp;
	extern char * GrpID;
	extern int * Nmem;
	extern double ** F;
	extern double *** Fk;
	extern double ** Gmeans;
    
    extern double * XCoord, * YCoord;

	extern RNP2to191 * rn;

	using System::IO::StreamWriter;
	void CalcWeights( StreamWriter ^ fout, double ** G, int ncases, int p, int & nweight, double ** W, double * Lambda, double ** Gw );

}
